Teams API
GET /api/v1/teams
Section titled “GET /api/v1/teams”List Teams
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
POST /api/v1/teams
Section titled “POST /api/v1/teams”Create Team
Request body (required), application/json, TeamIn
| Field | Type | Required | Description |
|---|---|---|---|
description | string | null | no | |
name | string | yes | |
slug | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/teams/{team_id}
Section titled “DELETE /api/v1/teams/{team_id}”Delete Team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
team_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PATCH /api/v1/teams/{team_id}
Section titled “PATCH /api/v1/teams/{team_id}”Patch Team
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
team_id | path | integer | yes |
Request body (required), application/json, TeamPatchIn
| Field | Type | Required | Description |
|---|---|---|---|
description | string | null | no | |
name | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/teams/{team_id}/members
Section titled “GET /api/v1/teams/{team_id}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
team_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/teams/{team_id}/members/{user_id}
Section titled “DELETE /api/v1/teams/{team_id}/members/{user_id}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
team_id | path | integer | yes | |
user_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/teams/{team_id}/members/{user_id}
Section titled “PUT /api/v1/teams/{team_id}/members/{user_id}”Set Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
team_id | path | integer | yes | |
user_id | path | integer | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |